@@@@@<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<head>
<title></title>
<script language="javascript" src="hst_edit/main.js"></script>
<link id="css" href="hst_edit/skins/default/main.css" type="text/css" rel="stylesheet">
<style>
body{margin:0;padding:0;}
.hstwndtable td{font-size:12px;}
.border_1{padding:3px 5px;border-bottom:1px dashed #ccc;}
.border_2{padding:3px;border-bottom:1px dashed #ccc;}
tr,td,body{font-size:12px;}
.myinput{border:1px solid #888;background:#ffff;font-size:12px;padding:3px 2px;}
.mysubmit{width:70px;height:23px;padding:0;font-family:"宋体";line-height:23px;vertical-align:middle;background:url("skins/images/button1.gif");cursor:pointer;border:none;}
a:link{text-decoration : none;color : #000; } 
a:visited{text-decoration : none;color : #000; }
a:hover {text-decoration : none; color : green; }
a:active{text-decoration : none;color : #000; }
.mybgcolor1{border:1px solid green;background:#fff;font-size:12px;padding:3px 2px;}
form{margin:0;padding:0;}
</style>
<script language="javascript">
<!--
var hstmsgarea=null;
function SaveMessage(frm,e){    
	if(document.Hstform.touser.value.length<2||document.Hstform.touser.value.length>100){
        alert('请填写收件人');
		document.Hstform.touser.focus();
		//document.getElementById('touser').className='mybgcolor1';
        return false;
    }
	if(document.Hstform.title.value.length<2||document.Hstform.title.value.length>100){
        alert('请填写发送短消息的标题！');
		document.Hstform.title.focus();
        return false;
    }
	frm.message.value=hstmsgarea.save();
	if(frm.message.value.length<10||frm.message.value.length>4000){
        alert('您的内容太短或过长');
        return false;
    }
	
	//alert(frm.message.value.length);
    frm.message.value=hstmsgarea.save();
    document.Hstform.Submit.disabled=true;
    return true;
}
//-->
</script>
</head>
<body>

<form action="{$Sms_SendAct}" method="post" name="Hstform" id="Hstform" onSubmit="return SaveMessage(this,event)">
<table cellspacing="0" cellpadding="0" border="0" class="hstwndtable" style="width:612px;background:#fff;">
<TR>
	<TD class="border_1" align="left">收件人：<input name="touser" type="text" value="{$touser}" size="50" class="myinput" id="touser" style="width:400px;"/>&nbsp;&nbsp;<select name="friend" onchange="DoTitle(this.options[this.selectedIndex].value)"><option selected="selected">选择</option>{$Friend_option}</select></TD>
</TR>
<TR>
	<TD class="border_1" align="left">标　题：<input name="title" type="text" size="70" maxlength="80" {$title} id="title" class="myinput" style="width:500px;">{$mo_send}</TD>
</TR>
<TR>
	<TD class="border_2"  align="left" valign="top" ><textarea id="message" name="message" style="width:99%;height:240px;margin:0;padding:0;border:none;margin:0px auto;">{$textarea}</textarea></div>
<div style="margin:0;"><script language="javascript">
<!--
var hsteditconfig={
	textarea_id:'message',
	edit_height:'212px',
	edit_mode:'design',
	toolbar:[],
	is_open_temp_save:true
};
hstmsgarea=new HstEdit(hsteditconfig);	
//-->
</script>
<link id="css" href="hst_edit/skins/default/main.css" type="text/css" rel="stylesheet">
<script language="javascript" src="hst_edit/toolbar.js"></script>
		</div></TD>
</TR>
<TR>
	<TD class="border_1">最多<b>{$Sms_senduser}</b>个用户 标题最多<b>50</b>个字符，内容最多<b>{$Sms_maxbody}</b>个字符 您今天还可以发 <b>{$smslimited}</b> 条短信</TD>
</TR>
<TR>
	<TD class="border_2" align="center" style="padding:3px 0px;"><input name="sms_act" type="hidden" value="" />
<input name="Submit" type="submit" onclick="this.form.sms_act.value='Sms_Issend'" value="发送" class="mysubmit"/>&nbsp;
<input name="Submit1" type="submit"  onclick="this.form.sms_act.value='Sms_Issave'" value="保存" class="mysubmit" />&nbsp;&nbsp;
<input name="Clear" type="reset" onclick="hstmsgarea.clear();" value="清除" class="mysubmit" />&nbsp;</TD>
</TR>
</TABLE>
<script language="JavaScript" type="text/javascript">
<!--
var reaction='{$reaction}';
var chatloglist='{$chatloglist}';
var myname='{$myname}';
var action='{$action}';
if (action=='new')
{
if (reaction=='chatlog')
{
	document.write ('<tr>');
	document.write ('<th colspan="3">我与{$touser}的聊天记录</th>');
	document.write ('</tr>');
if (myname=='{$touser}')
	{
		document.write ('<tr>');
		document.write ('<td class="tablebody1" colspan="3">自己跟自己的聊天记录没什么好看的：）</td>');
		document.write ('</tr>');
	}
	else{
		document.write (chatloglist);
	}
}
}
function wndClose(){
	try{
		parent.HstWnd.close();
	}
	catch(e){
		window.close()
	}
}
//-->
</script>
</form>
<script language="JavaScript" type="text/javascript"> 
var aaaa;
aaaa="";
function send_xiaoyue() {
	if(Hstform.mo_send.checked == false)
	{
		document.Hstform.action="messanger.asp?action=send";
		document.Hstform.title.disabled=false;
		document.Hstform.title.value=aaaa;
	} else 
	{
		document.Hstform.action="challenge_msg.asp?action=submessage";
		document.Hstform.title.disabled=true;
		aaaa = document.Hstform.title.value;
		document.Hstform.title.value= "手机短信标题无效，一次一位会员";
	}
}
/*
function ctlent()
{
	if(event.ctrlKey && window.event.keyCode==13)
	{
		Hstbbs_CopyData('message');
		document.Hstform.sms_act.value='Sms_Issend';
		this.document.Hstform.submit();
	}
}
*/
function DoTitle(addTitle) {  
 var revisedTitle;  
 var currentTitle = document.Hstform.touser.value;
 if(currentTitle=="") revisedTitle = addTitle; 
 else { 
  var arr = currentTitle.split(","); 
  for (var i=0; i < arr.length; i++) { 
   if( addTitle.indexOf(arr[i]) >=0 && arr[i].length==addTitle.length ) return; 
  } 
revisedTitle = currentTitle+","+addTitle; 
 } 
 document.Hstform.touser.value=revisedTitle;  
 document.Hstform.touser.focus(); 
 return; 
} 
</script>
</body></html>
@@@@@
<div class="">
<div id="layer_message">    
	<h3 class="flb"><a href="javascript:void(0);" class="close-btn" onclick="hideWindow('message')" title="关闭">&nbsp;</a><em id="return_mods">{$read_title}</em></h3>
	<div style="margin:0px auto;width:680px;padding:0px;clear:both;padding:5px;margin:4px;min-height:200px;font-size:14px;line-height:200%;">{$textarea}</div>
	{$replayimg}
	<div style="clear:both;line-height:30px;border-top:1px dashed #666;width:100%;margin:0px auto;">{$nexttext}{$pretext}</div>
	<div style="clear:both;height:0px;overflow:hidden;font-size:0;"></div>
</div>
</div>
@@@@@
@@@@@
<td class="tablebody1" ><b>验证码：</b></td>
<td class="tablebody1" valign="middle">{$codestr}</td>
</tr>